Changeset 39914 in spip-zone


Ignore:
Timestamp:
Aug 18, 2010, 12:47:05 PM (9 years ago)
Author:
kent1@…
Message:

à priori, si on n'a pas de zones de plugins permettant de récupérer les versions à jour de plugins :

  • On ne peut avoir de plugins dit "obsolètes"
  • On ne peut avoir de plugins en version "supérieure" ce qui à mon avis est à peu de choses prêt que la version du dessus

Dites moi si je me trompe...

Location:
_plugins_/step
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/step/formulaires/gerer_plugins.html

    r38862 r39914  
    8686
    8787        [<div class="reponse_formulaire reponse_formulaire_erreur">
    88                 <strong>Erreurs :</strong>
     88                <strong><:step:label_erreurs:></strong>
    8989                <ul>(#ENV**{erreurs}|table_valeur{decideur_erreurs}|foreach{foreach_li})</ul>
    9090        </div>]
     
    114114                        </ul>
    115115                        <ul class="more[ (#GET{afficher})]">
     116                                #SET{zones,''}
    116117                                <B_zones_presentes>
    117118                                #SET{zones,ok}
     
    189190                                </B_zones>
    190191
     192                                [(#GET{zones}|=={ok}|oui)
    191193                                <li class="editer_obsolete">
    192194                                        <label for="step_obsolete"><:step:obsolete:></label>
     
    196198                                                <option value="non"[ (#ENV{obsolete}|=={non}|oui)selected='selected']><:step:obsolete_non:></option>
    197199                                        </select>
    198                                 </li>
    199 
     200                                </li>]
     201
     202                                [(#GET{zones}|=={ok}|oui)
    200203                                <li class="editer_superieur">
    201204                                        <label for="step_superieur"><:step:superieur:></label>
     
    205208                                                <option value="non"[ (#ENV{superieur}|=={non}|oui)selected='selected']><:step:superieur_non:></option>
    206209                                        </select>
    207                                 </li>
     210                                </li>]
    208211                        </ul>
    209212                        <p class="boutons">
  • _plugins_/step/lang/step_fr.php

    r39911 r39914  
    2626
    2727        // L
     28        'label_erreurs' => 'Erreurs :',
    2829        'librairie' => 'Librairie : @nom@',
    2930
Note: See TracChangeset for help on using the changeset viewer.